Add Permissions in Filter
/applications/{applicationName}/databases/{databaseName}/filters/{filterName}/permissions
Adds permissions in the named filter for the named user or group.
Request
-
applicationName(required):
Application name.
-
databaseName(required):
Database name.
-
filterName(required):
Filter name.
Response
200 Response
OK
The filter permissions were added successfully.
400 Response
Bad Request
Failed to add the filter permissions. The application name, database name, filter name, or user or group name may be incorrect, or the specified user or group may not have enough privileges.
415 Response
Not Acceptable
The media type isn't supported or wasn't specified.
500 Response
Internal Server Error.
Examples
The following example shows how to assign permission for an Essbase user or group to a security filter.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X POST https://myserver.example.com:9001/essbase/rest/v1/applications/Efficient/databases/UserFilters/filters/dslookupfilter/permissions -H "Accept: application/json" -H "Content-Type: application/json" -d '{"id": "FilterGroup", "group": true}' -u %User%:%Password%Example of Response Body
{
"id" : "FilterGroup",
"group" : true
}